<?php
  /* vim: set expandtab tabstop=4 softtabstop=4 shiftwidth=4:
  Codificación: UTF-8
  +----------------------------------------------------------------------+
  | Elastix version 2.3.0-12                                               |
  | http://www.elastix.org                                               |
  +----------------------------------------------------------------------+
  | Copyright (c) 2006 Palosanto Solutions S. A.                         |
  +----------------------------------------------------------------------+
  | Cdla. Nueva Kennedy Calle E 222 y 9na. Este                          |
  | Telfs. 2283-268, 2294-440, 2284-356                                  |
  | Guayaquil - Ecuador                                                  |
  | http://www.palosanto.com                                             |
  +----------------------------------------------------------------------+
  | The contents of this file are subject to the General Public License  |
  | (GPL) Version 2 (the "License"); you may not use this file except in |
  | compliance with the License. You may obtain a copy of the License at |
  | http://www.opensource.org/licenses/gpl-license.php                   |
  |                                                                      |
  | Software distributed under the License is distributed on an "AS IS"  |
  | basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See  |
  | the License for the specific language governing rights and           |
  | limitations under the License.                                       |
  +----------------------------------------------------------------------+
  | The Original Code is: Elastix Open Source.                           |
  | The Initial Developer of the Original Code is PaloSanto Solutions    |
  +----------------------------------------------------------------------+
  $Id: paloSantoActivation.class.php,v 1.1 2013-06-02 01:06:33 Alberto Santos asantos@palosanto.com Exp $ */
class paloSantoOrkestal{
    private $_DB;
    public  $errMsg;

    function paloSantoOrkestal(&$pDB)
    {
        // Se recibe como parámetro una referencia a una conexión paloDB
        if (is_object($pDB)) {
            $this->_DB =& $pDB;
            $this->errMsg = $this->_DB->errMsg;
        } else {
            $dsn = (string)$pDB;
            $this->_DB = new paloDB($dsn);

            if (!$this->_DB->connStatus) {
                $this->errMsg = $this->_DB->errMsg;
                // debo llenar alguna variable de error
            } else {
                // debo llenar alguna variable de error
            }
        }
    }

    function getLicense()
    {
	$query = "SELECT licnumber FROM OrkestalConfig WHERE id=1";
	$result = $this->_DB->getFirstRowQuery($query);
	if($result === FALSE){
	     $this->errMsg = $this->_DB->errMsg;
	     return NULL;
	}
	if(isset($result[0]))
	     return $result[0];
	else
	     return "";
    }

    function isReadyToEnterLic()
    {
	$query = "SELECT enterlic FROM OrkestalConfig WHERE id=1";
	$result = $this->_DB->getFirstRowQuery($query);
        if($result === FALSE){
             $this->errMsg = $this->_DB->errMsg;
             return NULL;
        }
	if(isset($result[0]))
	     if($result[0] == 0)
		return FALSE;
	     else
		return TRUE;
	else
	     return FALSE;
    }

    function changeEnterLic($value)
    {
	$query = "UPDATE OrkestalConfig SET enterlic=? WHERE id=1";
	$result = $this->_DB->genQuery($query,array($value));
	if($result === FALSE){
             $this->errMsg = $this->_DB->errMsg;
             return NULL;
        }
	return TRUE;
    }

    function saveLicense($license)
    {
	$query = "UPDATE OrkestalConfig SET licnumber=? WHERE id=1";
	$result = $this->_DB->genQuery($query,array($license));
        if($result === FALSE){
             $this->errMsg = $this->_DB->errMsg;
             return NULL;
        }
        return TRUE;
    }

    function getElastixKey()
    {
	if(file_exists("/etc/elastix.key"))
		return file_get_contents("/etc/elastix.key");
	else
		return NULL;
    }
}
